org.apache.ode.daohib.bpel

## Class FaultDAOImpl

- java.lang.Object
- - org.apache.ode.daohib.bpel.HibernateDao
  - - org.apache.ode.daohib.bpel.FaultDAOImpl

- All Implemented Interfaces:
    FaultDAO

      public class FaultDAOImpl
      extends HibernateDao
      implements FaultDAO

  Hibernate based `FaultDAO` implementation

- - ### Field Summary

    - ### Fields inherited from class org.apache.ode.daohib.bpel.HibernateDao

      `_hobj, _sm`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FaultDAOImpl(SessionManager sm, HFaultData fault)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getActivityId()`
    `org.w3c.dom.Element` | `getData()`
    `java.lang.String` | `getExplanation()`
    `int` | `getLineNo()`
    `javax.xml.namespace.QName` | `getName()`

    - ### Methods inherited from class org.apache.ode.daohib.bpel.HibernateDao

      `deleteByColumn, deleteByIds, equals, getDHandle, getHibernateObj, getId, getSession, hashCode, update`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FaultDAOImpl

          public FaultDAOImpl(SessionManager sm,
                              HFaultData fault)

  - ### Method Detail

    - #### getName

          public javax.xml.namespace.QName getName()

      Specified by:
        `getName` in interface `FaultDAO`

    - #### getData

          public org.w3c.dom.Element getData()

      Specified by:
        `getData` in interface `FaultDAO`

    - #### getExplanation

          public java.lang.String getExplanation()

      Specified by:
        `getExplanation` in interface `FaultDAO`

    - #### getLineNo

          public int getLineNo()

      Specified by:
        `getLineNo` in interface `FaultDAO`

    - #### getActivityId

          public int getActivityId()

      Specified by:
        `getActivityId` in interface `FaultDAO`